%define         srcname       %{name}-%{name}-dev-2984068d220f

Name:           enzo
Version:        2.5
Release:        %mkrel 5
Summary:        An adaptive mesh refinement code for astrophysical calculations
License:        BSD
Group:          Sciences/Astronomy

URL:            http://enzo-project.org
Source0:        https://bitbucket.org/enzo/enzo-dev/downloads/%{name}-%{version}.tar.bz2
Patch0:         enzo-2.5-nosse.patch

BuildRequires:  hdf5-devel
BuildRequires:  tcsh
BuildRequires:  openmpi-devel
BuildRequires:  makedepend
BuildRequires:  python
BuildRequires:  mercurial

Requires:       openmpi

%description
Enzo is a community-developed adaptive mesh refinement simulation
code, designed for rich, multi-physics hydrodynamic astrophysical
calculations. Enzo is freely available, developed in the open, with a
strong support structure for assistance. Simulations conducted with
Enzo have been featured in numerous refereed journal articles, and it
is capable of running on computers from laptop to Top500.

%prep
%setup -q -n %{srcname}
%patch0 -p1 -b .orig

%build
%configure2_5x
pushd src/enzo
make dep
%make_build machine-linux-gnu
%ifarch %ix86 %{arm}
%make_build CFLAGS="%{optflags} -DNOSSE" \
            CXXFLAGS="%{optflags} -DNOSSE" \
	    LDFLAGS="%{ldflags}"
%else
%make_build CFLAGS="%{optflags}" \
            CXXFLAGS="%{optflags}" \
	    LDFLAGS="%{ldflags}"
%endif
popd
pushd src/inits
%make_build
popd
pushd src/ring
%make_build
popd

%install
%__mkdir_p %{buildroot}%{_bindir}
cp -p bin/*  %{buildroot}%{_bindir}

%files
%{_bindir}/enzo
%{_bindir}/np
%{_bindir}/find_conflicts
%{_bindir}/inits
%{_bindir}/pr_testing
%{_bindir}/update_path


%changelog
* Fri Dec 16 2016 pterjan <pterjan> 2.5-5.mga6
+ Revision: 1075597
- Workaround parallel make bug

* Fri Dec 16 2016 eatdirt <eatdirt> 2.5-4.mga6
+ Revision: 1075558
- Fix missing requires + try to fix arm built failures

* Thu Dec 15 2016 eatdirt <eatdirt> 2.5-2.mga6
+ Revision: 1075463
- Fix compilation failure on ix86 due to implicit sse instructions
- Upgrade to latest version 2.5

* Fri Dec 02 2016 tmb <tmb> 2.3-7.mga6
+ Revision: 1071626
- rebuild for new openmpi

* Sun Feb 14 2016 umeabot <umeabot> 2.3-6.mga6
+ Revision: 960024
- Mageia 6 Mass Rebuild

* Wed Sep 30 2015 daviddavid <daviddavid> 2.3-5.mga6
+ Revision: 885260
- rebuild for new openmpi 1.10.0

* Tue Jul 21 2015 daviddavid <daviddavid> 2.3-4.mga6
+ Revision: 855893
- rebuild with new hdf5

* Wed Oct 15 2014 umeabot <umeabot> 2.3-3.mga5
+ Revision: 742750
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 eatdirt <eatdirt> 2.3-1.mga5
+ Revision: 642662
- Upgrade to version 2.3

* Sat Oct 19 2013 umeabot <umeabot> 2.2-2.mga4
+ Revision: 530643
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 joequant <joequant> 2.2-1.mga4
+ Revision: 458611
- remove period from summary
- fix build requires
- spec cleanups
- imported package enzo

